us.zoom.sdk

## Interface InviteRoomSystemHelper

-     public interface InviteRoomSystemHelper

  Invite room system helper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ROOMDEVICE_H323`
    `static int` | `ROOMDEVICE_SIP`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(InviteRoomSystemListener listener)` Register a invite room system listener
    `boolean` | `callOutRoomSystem(java.lang.String address, int deviceType)` Call out a room system
    `boolean` | `cancelCallOutRoomSystem()` Cancel a room system call out
    `java.lang.String[]` | `getH323Address()` Get h323 address for current meeting
    `java.lang.String` | `getH323Password()` Get h323 password for current meeting
    `void` | `removeEventListener(InviteRoomSystemListener listener)` Unregister a invite room system listener
    `boolean` | `sendMeetingPairingCode(long meetingId, java.lang.String pairingCode)` Send Meeting pairing code

- - ### Field Detail

    - #### ROOMDEVICE_H323

          static final int ROOMDEVICE_H323

      See Also:
        Constant Field Values

    - #### ROOMDEVICE_SIP

          static final int ROOMDEVICE_SIP

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addEventListener

          void addEventListener(InviteRoomSystemListener listener)

      Register a invite room system listener
      Parameters:
        `listener` - the listener instance

    - #### removeEventListener

          void removeEventListener(InviteRoomSystemListener listener)

      Unregister a invite room system listener
      Parameters:
        `listener` - the listener instance

    - #### getH323Address

          java.lang.String[] getH323Address()

      Get h323 address for current meeting
      Returns:
        If the function succeeds, the return value is not null.

    - #### getH323Password

          java.lang.String getH323Password()

      Get h323 password for current meeting
      Returns:
        If the function succeeds, the return value is not null.

    - #### sendMeetingPairingCode

          boolean sendMeetingPairingCode(long meetingId,
                                         java.lang.String pairingCode)

      Send Meeting pairing code
      Parameters:
        `meetingId` - meeting to paring
        `pairingCode` - Code for paring
      Returns:
        success or not

    - #### callOutRoomSystem

          boolean callOutRoomSystem(java.lang.String address,
                                    int deviceType)

      Call out a room system
      Parameters:
        `address` - ip address / e.164 number
        `deviceType` - ROOMDEVICE_H323 / ROOMDEVICE_SIP
      Returns:
        success or not

    - #### cancelCallOutRoomSystem

          boolean cancelCallOutRoomSystem()

      Cancel a room system call out
      Returns:
        success or not